I'm trying to compile ettercap on my iphone and I've gotten pretty far but I'm stuck with a ./configure error that says...

checking if your compiler supports __VA_ARGS__ in macro declarations... no
configure: error: please use gcc >= 3.2.x

I don't know how to fix this is does the iPhone port of gcc not support VA_ARGS? Thanks